import { SmzBuilderUtilities } from '../common/smz-builder-utilities';
import { SmzUiBuilder } from './ui-builder';
export declare class SmzUiLocalizationBuilder extends SmzBuilderUtilities<SmzUiLocalizationBuilder> {
    private _builder;
    protected that: this;
    constructor(_builder: SmzUiBuilder);
    setApiUrl(url: string): SmzUiLocalizationBuilder;
    addLocale(code: string, name: string, country: string): SmzUiLocalizationBuilder;
    setDefault(locale: string): SmzUiLocalizationBuilder;
    allowLocalizationSwitch(): SmzUiLocalizationBuilder;
    get builder(): SmzUiBuilder;
}
